TLM-2.0: tlm_utils::callback_binder_fw< TYPES > Class Template Reference

# tlm_utils::callback_binder_fw< TYPES > Class Template Reference

`#include <multi_socket_bases.h>`

Inheritance diagram for tlm_utils::callback_binder_fw< TYPES >:

[legend]
Collaboration diagram for tlm_utils::callback_binder_fw< TYPES >:

[legend]

List of all members.

## Public Types
typedef TYPES::tlm_payload_type | transaction_type
typedef TYPES::tlm_phase_type | phase_type
typedef tlm::tlm_sync_enum | sync_enum_type
typedef nb_transport_functor < TYPES > | nb_func_type
typedef b_transport_functor < TYPES > | b_func_type
typedef debug_transport_functor< TYPES > | debug_func_type
typedef get_dmi_ptr_functor < TYPES > | dmi_func_type
## Public Member Functions
| callback_binder_fw (int id)
sync_enum_type | nb_transport_fw (transaction_type &txn, phase_type &p, sc_core::sc_time &t)
void | b_transport (transaction_type &trans, sc_core::sc_time &t)
bool | get_direct_mem_ptr (transaction_type &trans, tlm::tlm_dmi &dmi_data)
unsigned int | transport_dbg (transaction_type &trans)
void | register_port (sc_core::sc_port_base &b, const char *name)
void | set_callbacks (nb_func_type &cb1, b_func_type &cb2, dmi_func_type &cb3, debug_func_type &cb4)
sc_core::sc_port_base * | get_other_side ()

## Detailed Description

### template<typename TYPES>
class tlm_utils::callback_binder_fw< TYPES >

Definition at line 144 of file multi_socket_bases.h.

## Member Typedef Documentation

template<typename TYPES >

typedef b_transport_functor<TYPES> tlm_utils::callback_binder_fw< TYPES >::b_func_type

Definition at line 153 of file multi_socket_bases.h.

template<typename TYPES >

typedef debug_transport_functor<TYPES> tlm_utils::callback_binder_fw< TYPES >::debug_func_type

Definition at line 154 of file multi_socket_bases.h.

template<typename TYPES >

typedef get_dmi_ptr_functor<TYPES> tlm_utils::callback_binder_fw< TYPES >::dmi_func_type

Definition at line 155 of file multi_socket_bases.h.

template<typename TYPES >

typedef nb_transport_functor<TYPES> tlm_utils::callback_binder_fw< TYPES >::nb_func_type

Definition at line 152 of file multi_socket_bases.h.

template<typename TYPES >

typedef TYPES::tlm_phase_type tlm_utils::callback_binder_fw< TYPES >::phase_type

Definition at line 148 of file multi_socket_bases.h.

template<typename TYPES >

typedef tlm::tlm_sync_enum tlm_utils::callback_binder_fw< TYPES >::sync_enum_type

Definition at line 149 of file multi_socket_bases.h.

template<typename TYPES >

typedef TYPES::tlm_payload_type tlm_utils::callback_binder_fw< TYPES >::transaction_type

Definition at line 147 of file multi_socket_bases.h.

## Constructor & Destructor Documentation

template<typename TYPES >

tlm_utils::callback_binder_fw< TYPES >::callback_binder_fw | ( | int | id | ) | `[inline]`

Definition at line 158 of file multi_socket_bases.h.

## Member Function Documentation

template<typename TYPES >

void tlm_utils::callback_binder_fw< TYPES >::b_transport | ( | transaction_type & | trans,
|  | sc_core::sc_time & | t |
| ) |  |  | `[inline, virtual]`

Implements tlm::tlm_blocking_transport_if< TYPES::tlm_payload_type >.

Definition at line 176 of file multi_socket_bases.h.

template<typename TYPES >

bool tlm_utils::callback_binder_fw< TYPES >::get_direct_mem_ptr | ( | transaction_type & | trans,
|  | tlm::tlm_dmi & | dmi_data |
| ) |  |  | `[inline, virtual]`

Implements tlm::tlm_fw_direct_mem_if< TYPES::tlm_payload_type >.

Definition at line 186 of file multi_socket_bases.h.

template<typename TYPES >

sc_core::sc_port_base* tlm_utils::callback_binder_fw< TYPES >::get_other_side | ( |  | ) | `[inline]`

Definition at line 226 of file multi_socket_bases.h.

template<typename TYPES >

sync_enum_type tlm_utils::callback_binder_fw< TYPES >::nb_transport_fw | ( | transaction_type & | txn,
|  | phase_type & | p,
|  | sc_core::sc_time & | t |
| ) |  |  | `[inline, virtual]`

Implements tlm::tlm_fw_nonblocking_transport_if< TYPES::tlm_payload_type, TYPES::tlm_phase_type >.

Definition at line 162 of file multi_socket_bases.h.

template<typename TYPES >

void tlm_utils::callback_binder_fw< TYPES >::register_port | ( | sc_core::sc_port_base & | b,
|  | const char * | name |
| ) |  |  | `[inline]`

Definition at line 211 of file multi_socket_bases.h.

template<typename TYPES >

void tlm_utils::callback_binder_fw< TYPES >::set_callbacks | ( | nb_func_type & | cb1,
|  | b_func_type & | cb2,
|  | dmi_func_type & | cb3,
|  | debug_func_type & | cb4 |
| ) |  |  | `[inline]`

Definition at line 216 of file multi_socket_bases.h.

template<typename TYPES >

unsigned int tlm_utils::callback_binder_fw< TYPES >::transport_dbg | ( | transaction_type & | trans | ) | `[inline, virtual]`

Implements tlm::tlm_transport_dbg_if< TYPES::tlm_payload_type >.

Definition at line 199 of file multi_socket_bases.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/multi_socket_bases.h